Bug 812091 - Remove cucumber gem dependency from express broker in staging/production
Remove cucumber gem dependency from express broker in staging/production
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 14:08 EDT by Abhishek Gupta
Modified: 2015-05-14 21:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:46:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Gupta 2012-04-12 14:08:47 EDT
Description of problem:

Express broker currently requires cucumber and related gems in all environments, including staging and production.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Express broker should not require cucumber and related gems in staging and production


Expected results:
Express broker should not require cucumber and related gems in staging and production

Additional info:
Comment 1 Abhishek Gupta 2012-04-18 14:02:13 EDT
This work has been completed and checked in. The cucumber test steps that required these dependencies have been reworked. The Gemfile, Gemfile.lock and spec file have been modified as well.
Comment 2 Xiaoli Tian 2012-04-19 02:02:14 EDT
Verified it on devenv_1731

#cat broker.spec |grep cucumber
#Requires:  rubygem-cucumber
- 1) removing cucumber gem dependency from express broker. 2) moved ruby
  related cucumber tests back into express. 3) fixed issue with broker
  section. 4) copying cucumber features into li-test/tests automatically within
- moving bulk of the cucumber tests under stickshift and making changes so that
#cat Gemfile|grep cucumber
#cat Gemfile.lock|grep cucumber

Cucumber testing are still running well.

Note You need to log in before you can comment on or make changes to this bug.